Bug 481464 - SELinux messes with inotify
SELinux messes with inotify
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-25 03:27 EST by Pierre Ossman
Modified: 2009-11-18 05:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 05:59:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2009-01-25 03:27:10 EST
The policy in F10 seems to prevent inotify from working correctly:

type=1400 audit(1232856002.093:8): avc:  denied  { read } for  pid=1450 comm="ntpdate" path="inotify" dev=inotifyfs ino=1 scontext=system_u:system_r:ntpd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:inotifyfs_t:s0 tclass=dir

There is a similar rejection in bug 481446.
Comment 1 Daniel Walsh 2009-01-26 13:19:55 EST
Miroslav add

fs_list_inotifyfs(ntpd_t)
Comment 2 Pierre Ossman 2009-01-26 14:00:21 EST
Don't forget mailman_queue_t from bug 481446. :)
Comment 3 Miroslav Grepl 2009-01-27 13:41:23 EST
Fixed in selinux-policy-3.5.13-41.fc10
Comment 4 Bug Zapper 2009-11-18 05:51:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.